libstdc++: std::__detail::_StateSeq< _TraitsT > Class Template Reference

libstdc++

std::__detail::_StateSeq< _TraitsT > Class Template Reference
Regular Expressions » Base and Implementation Classes

`#include <regex_automaton.h>`

## Public Types
typedef _NFA< _TraitsT > | _RegexT

## Public Member Functions
| _StateSeq (_RegexT &__nfa, _StateIdT __s)
| _StateSeq (_RegexT &__nfa, _StateIdT __s, _StateIdT __end)
void | _M_append (_StateIdT __id)
void | _M_append (const _StateSeq &__s)
_StateSeq | _M_clone ()

## Public Attributes
_StateIdT | _M_end
_RegexT & | _M_nfa
_StateIdT | _M_start

## Detailed Description

template<typename _TraitsT>
class std::__detail::_StateSeq< _TraitsT >

Describes a sequence of one or more _State, its current start and end(s). This structure contains fragments of an NFA during construction.

Definition at line 357 of file regex_automaton.h.

## Member Typedef Documentation

## ◆ _RegexT

template<typename _TraitsT>

typedef _NFA<_TraitsT> std::__detail::_StateSeq< _TraitsT >::_RegexT

Definition at line 360 of file regex_automaton.h.

## Constructor & Destructor Documentation

## ◆ _StateSeq() [1/2]

template<typename _TraitsT>

std::__detail::_StateSeq< _TraitsT >::_StateSeq | ( | _RegexT & | __nfa,
|  | _StateIdT | __s )
| inline

Definition at line 363 of file regex_automaton.h.

## ◆ _StateSeq() [2/2]

template<typename _TraitsT>

std::__detail::_StateSeq< _TraitsT >::_StateSeq | ( | _RegexT & | __nfa,
|  | _StateIdT | __s,
|  | _StateIdT | __end )
| inline

Definition at line 367 of file regex_automaton.h.

## Member Function Documentation

## ◆ _M_append() [1/2]

template<typename _TraitsT>

void std::__detail::_StateSeq< _TraitsT >::_M_append | ( | _StateIdT | __id | ) |
| inline

Definition at line 373 of file regex_automaton.h.

## ◆ _M_append() [2/2]

template<typename _TraitsT>

void std::__detail::_StateSeq< _TraitsT >::_M_append | ( | const _StateSeq< _TraitsT > & | __s | ) |
| inline

Definition at line 381 of file regex_automaton.h.

## ◆ _M_clone()

template<typename _TraitsT>

_StateSeq< _TraitsT > std::__detail::_StateSeq< _TraitsT >::_M_clone | ( |  | ) |

Definition at line 199 of file regex_automaton.tcc.

## Member Data Documentation

## ◆ _M_end

template<typename _TraitsT>

_StateIdT std::__detail::_StateSeq< _TraitsT >::_M_end

Definition at line 394 of file regex_automaton.h.

## ◆ _M_nfa

template<typename _TraitsT>

_RegexT& std::__detail::_StateSeq< _TraitsT >::_M_nfa

Definition at line 392 of file regex_automaton.h.

## ◆ _M_start

template<typename _TraitsT>

_StateIdT std::__detail::_StateSeq< _TraitsT >::_M_start

Definition at line 393 of file regex_automaton.h.

The documentation for this class was generated from the following files:

- regex_automaton.h
- regex_automaton.tcc